Bug 1253354 - (CVE-2015-6243) CVE-2015-6243 wireshark: Dissector table crash (wnpa-sec-2015-23)
CVE-2015-6243 wireshark: Dissector table crash (wnpa-sec-2015-23)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150811,repor...
: Security
Depends On: 1245763 1253364
Blocks: 1210268 1253363
  Show dependency treegraph
 
Reported: 2015-08-13 10:28 EDT by Martin Prpič
Modified: 2016-11-08 11:12 EST (History)
7 users (show)

See Also:
Fixed In Version: wireshark 1.12.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 23:53:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-08-13 10:28:37 EDT
It was reported that Wireshark's protocol dissector could crash. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This flaw is fixed in the following Wireshark versions: 1.12.7.

Upstream bug(s):

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=11381

External References:

https://www.wireshark.org/security/wnpa-sec-2015-23
Comment 1 Martin Prpič 2015-08-13 10:34:56 EDT
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1253364]
Comment 2 Fedora Update System 2015-08-21 22:50:53 EDT
wireshark-1.12.7-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wireshark'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13945
Comment 3 Fedora Update System 2015-08-22 12:24:08 EDT
wireshark-1.12.7-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wireshark'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13946
Comment 4 Adam Mariš 2015-08-26 12:13:39 EDT
CVE was assigned:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-6243
Comment 5 Fedora Update System 2015-09-03 23:24:22 EDT
wireshark-1.12.7-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-10-07 02:21:30 EDT
wireshark-1.12.7-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 errata-xmlrpc 2015-11-19 07:37:33 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2393 https://rhn.redhat.com/errata/RHSA-2015-2393.html
Comment 10 Huzaifa S. Sidhpurwala 2015-11-19 23:53:54 EST
Statement:

This issue affects the verison of wireshark as shipped with Red Hat Enterprsie Linux 5 and 6. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates of Red Hat Enterprise Linux 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.